// #autoload
// #name = Reverse Snipe
// #version = 1.0
// #date = 22 June 2003
// #status = release
// #author = @-Kaiten Commander
// #warrior = Kaiten Commander
// #email = kaiten@cb-tribes.co.uk
// #web = http://www.kaiten.barrysworld.net
// #description = Fire on Release with Toggle
// #include = support/callback.cs
// #include = support/loadout.cs
// #include = support/key_callbacks.cs

package ReverseSnipe
{
	function SniperFire(%val)
	{
		if ((loadout.getCurrentWeapon() $= "SniperRifle") && ($pref::ReverseSnipe))
		{
			if(%val)
				return mute;
			else
				MouseFire(true);
		}			
	}
	
	function OptionsDlg::onWake( %this )
	{
		if (!$RSnipeBindLoaded)
		{
			$RemapName[$RemapCount] = "Reverse Snipe Toggle";
			$RemapCmd[$RemapCount] = "ReverseSnipeToggle";
			$RemapCount++;
			$RSnipeBindLoaded = true;
		}
		parent::onWake( %this );
	}
};

activatePackage(ReverseSnipe);

function ReverseSnipeToggle(%val)
{
	if(%val)
	{
		$pref::ReverseSnipe = !$pref::ReverseSnipe;
		
		if($pref::ReverseSnipe)
			addmessageHudline("Reverse Snipe - On");
		else
			addmessageHudline("Reverse Snipe - Off");
	}
}

callback.add(MouseFirePressed, SniperFire);
callback.add(MouseFireReleased, SniperFire);